田草博客,logo
日志搜索


 标题   内容 评论


网友交流QQ群:11740834 需注明申请加入原因

微信 公众号:ByCAD

邮箱:tiancao1001x126.com
ByCAD,微信公众号
日志首页 | 普通 | 电脑 | AutoCAD | VB/VB.NET | FLash | 结构 | 建筑 | 电影 | BIM | 规范 | 软件

评论列表

所有评论
[6] [7] [8] [9] [10] [11] [12] [13] [14] [15]  ... [140]  
tiancao1001 于 2017-07-04 06:44 PM 发表评论:
Private Sub insertimage(fname As String, bname As String, pt As Point3d, rot As Double, xx As Double, yy As Double)
    Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument.LockDocument()
    Dim doc As Autodesk.AutoCAD.ApplicationServices.Document = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument
    Using db As Database = doc.Database
        Using tm As Transaction = db.TransactionManager.StartTransaction()
            Try
                Dim imageDictID As ObjectId = RasterImageDef.GetImageDictionary(db)
                If imageDictID.OldId = 0 Then
                    imageDictID = RasterImageDef.CreateImageDictionary(db)
                End If
                Dim rasterImageDef__1 As New RasterImageDef()
                Dim imageDict As DBDictionary = CType(tm.GetObject(imageDictID, OpenMode.ForWrite), DBDictionary)
                Dim rasterImageDefID As ObjectId
                If imageDict.Contains(bname) Then
                    rasterImageDefID = imageDict.GetAt(bname)
                    rasterImageDef__1 = CType(tm.GetObject(rasterImageDefID, OpenMode.ForWrite), RasterImageDef)
                Else
                    rasterImageDefID = imageDict.SetAt(bname, rasterImageDef__1)
                    rasterImageDef__1.SourceFileName = fname
                    rasterImageDef__1.Load()
                    rasterImageDef__1.ImageModified = True
                    rasterImageDef__1.ResolutionUnits = Unit.Millimeter
                    tm.AddNewlyCreatedDBObject(rasterImageDef__1, True)
                End If
                Dim rasterImage As New RasterImage()
                rasterImage.ImageDefId = rasterImageDef__1.ObjectId
                rasterImage.Orientation = New CoordinateSystem3d(pt, New Vector3d(xx, 0, 0), New Vector3d(0, yy, 0))
                rasterImage.Rotation = (rot * pi) / 180
                Dim bt As BlockTable = CType(tm.GetObject(doc.Database.BlockTableId, OpenMode.ForRead, False), BlockTable)
                Dim btr As BlockTableRecord = CType(tm.GetObject(bt(BlockTableRecord.ModelSpace), OpenMode.ForWrite, False), BlockTableRecord)
                btr.AppendEntity(rasterImage)
                tm.AddNewlyCreatedDBObject(rasterImage, True)
                tm.Commit()
                tm.Dispose()
            Catch e As System.Exception
                System.Windows.Forms.MessageBox.Show(e.ToString())
            End Try
        End Using
    End Using
End Sub

查看所评论的日志:请教 ,能通过.net 将剪切板中的BMP图像直接以OLE方式插入CAD吗
tiancao1001 于 2017-07-04 06:34 PM 发表评论:
ThisDrawing.ModelSpace.AddRaster(ImageFileName, InsertPoint, ScaleFactor, RotAngle)
查看所评论的日志:请教 ,能通过.net 将剪切板中的BMP图像直接以OLE方式插入CAD吗
xingxingjuyuan 于 2017-05-31 01:57 PM 发表评论:
楼主好!烦请将装配式混凝土建筑技术标准.GB/T51231-2016.pdf发我邮箱,我这里好象没法下载。我们正要施工的小区是装配式混凝土结构的,谢谢!我的邮箱1911293282@qq.com
查看所评论的日志:装配式混凝土建筑技术标准.GB/T51231-2016.pdf
wanvi 于 2017-05-17 08:13 AM 发表评论:
学习啦
查看所评论的日志:建筑变形测量规范.JGJ 8-2016.pdf
wanvi 于 2017-05-17 08:10 AM 发表评论:
503858339@qq.com,有劳大神把三个装配国标打包发一份
查看所评论的日志:装配式混凝土建筑技术标准.GB/T51231-2016.pdf
zhangsd222 于 2017-05-15 10:42 AM 发表评论:
目前我正在做装配式建筑这一行业,麻烦博主可以把这一标准发我邮箱,谢谢
zhangsd222@163.com
查看所评论的日志:装配式混凝土建筑技术标准.GB/T51231-2016.pdf
大连颐达 于 2017-05-11 05:29 PM 发表评论:
你好,我想需要一份GB/T51232-2016的国家标准,麻烦你了,我的邮箱是462164853@qq.com  谢谢!!!
查看所评论的日志:装配式钢结构建筑技术标准.GB/T51232-2016.pdf
xiangrikui88200 于 2017-05-08 10:38 PM 发表评论:
谢谢楼主分享,已下载!
查看所评论的日志:建筑隔墙用轻质条板通用技术要求.JG/T169-2016.pdf
[6] [7] [8] [9] [10] [11] [12] [13] [14] [15]  ... [140]  
版权所有:田草博客
tiancao1001&126.com网友交流QQ群:11740834
Powered by L-Blog V1.08 (SE) Final© 2007-2009